## mlt 0.4.4

=== Makefile ===
SUBDIRS = src/framework \
		  src/mlt++ \
		  src/melt \
		  src/modules \
		  profiles

all clean:
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		$(MAKE) -s -C $$subdir depend || exit 1; \
		$(MAKE) -C $$subdir $@ || exit 1; \
	done

distclean:
	rm mlt-config packages.dat; \
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		$(MAKE) -C $$subdir $@ || exit 1; \
	done; \
	rm config.mak;

dist-clean: distclean

include config.mak

install:
	install -d "$(DESTDIR)$(prefix)/bin"
	install -d "$(DESTDIR)$(prefix)/include"
	install -d "$(DESTDIR)$(libdir)"
	install -d "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(libdir)/pkgconfig"
	install -d "$(DESTDIR)$(prefix)/share/mlt"
	install -c -m 644 *.pc "$(DESTDIR)$(libdir)/pkgconfig"
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		$(MAKE) DESTDIR=$(DESTDIR) -C $$subdir $@ || exit 1; \
	done; \
# 	if test -z "$(DESTDIR)"; then \
# 	  /sbin/ldconfig -n "$(DESTDIR)$(libdir)" 2> /dev/null || true; \
# 	fi

uninstall:
	rm -f "$(DESTDIR)$(bindir)"/mlt-config
	rm -f "$(DESTDIR)$(libdir)"/pkgconfig/mlt-framework.pc
	rm -f "$(DESTDIR)$(libdir)"/pkgconfig/mlt++.pc
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		$(MAKE) DESTDIR=$(DESTDIR) -C $$subdir $@ || exit 1; \
	done
	rm -rf "$(DESTDIR)$(prefix)/include/mlt"
	rm -rf "$(DESTDIR)$(prefix)/share/mlt"

dist:
	git archive --format=tar --prefix=mlt-$(version)/ v$(version) | gzip >mlt-$(version).tar.gz

=== src/framework/Makefile ===
include ../../config.mak

NAME = libmlt$(LIBSUF)
TARGET = $(NAME).$(version)

ifneq ($(targetos), Darwin)
NAME = libmlt$(LIBSUF)
TARGET = $(NAME).$(version)
SONAME = $(NAME).$(soversion)
SHFLAGS += -Wl,-soname,$(SONAME)
else
NAME = libmlt$(LIBSUF)
TARGET = libmlt.$(version)$(LIBSUF)
SONAME = libmlt.$(soversion)$(LIBSUF)
SHFLAGS += -install_name $(libdir)/$(SONAME) -current_version $(version) -compatibility_version $(soversion)
endif

OBJS = mlt_frame.o \
	   mlt_geometry.o \
	   mlt_deque.o \
	   mlt_property.o \
	   mlt_properties.o \
	   mlt_events.o \
	   mlt_parser.o \
	   mlt_service.o \
	   mlt_producer.o \
	   mlt_multitrack.o \
	   mlt_playlist.o \
	   mlt_consumer.o \
	   mlt_filter.o \
	   mlt_transition.o \
	   mlt_field.o \
	   mlt_tractor.o \
	   mlt_factory.o \
	   mlt_repository.o \
	   mlt_pool.o \
	   mlt_tokeniser.o \
	   mlt_profile.o \
	   mlt_log.o \
	   mlt_cache.o

INCS = mlt_consumer.h \
	   mlt_factory.h \
	   mlt_filter.h \
	   mlt.h \
	   mlt_multitrack.h \
	   mlt_pool.h \
	   mlt_properties.h \
	   mlt_events.h \
	   mlt_parser.h \
	   mlt_repository.h \
	   mlt_tractor.h \
	   mlt_types.h \
	   mlt_deque.h \
	   mlt_field.h \
	   mlt_frame.h \
	   mlt_geometry.h \
	   mlt_playlist.h \
	   mlt_producer.h \
	   mlt_property.h \
	   mlt_service.h  \
	   mlt_transition.h \
	   mlt_tokeniser.h \
	   mlt_profile.h \
	   mlt_log.h \
	   mlt_cache.h

SRCS := $(OBJS:.o=.c)

CFLAGS += $(RDYNAMIC) -DPREFIX="\"$(prefix)\"" -DLIBDIR="\"$(libdir)\""

LDFLAGS += -lm $(LIBDL) -lpthread

all:	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)
		ln -sf $(TARGET) $(NAME)
		ln -sf $(TARGET) $(SONAME)

depend:	$(SRCS)
	$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET) $(NAME) $(SONAME)

install:
	install -d $(DESTDIR)$(libdir)
	install -m 755 $(TARGET) $(DESTDIR)$(libdir)
	ln -sf $(TARGET) $(DESTDIR)$(libdir)/$(SONAME)
	ln -sf $(TARGET) $(DESTDIR)$(libdir)/$(NAME)
	install -d "$(DESTDIR)$(prefix)/include/mlt/framework"
	install -m 644 $(INCS) "$(DESTDIR)$(prefix)/include/mlt/framework"
	install -d "$(DESTDIR)$(datadir)/mlt"
	install -m 644 metaschema.yaml "$(DESTDIR)$(datadir)/mlt/"

uninstall:
	rm -f "$(DESTDIR)$(libdir)/$(TARGET)"
	rm -f "$(DESTDIR)$(libdir)/$(SONAME)"
	rm -f "$(DESTDIR)$(libdir)/$(NAME)"
	rm -rf "$(DESTDIR)$(prefix)/include/mlt/framework"
	rm -f "$(DESTDIR)$(datadir)/mlt/metaschema.yaml"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/mlt++/Makefile ===
include ../../config.mak
include config.mak
INSTALL = install

ifneq ($(targetos), Darwin)
NAME = libmlt++$(LIBSUF)
TARGET = $(NAME).$(version)
SONAME = $(NAME).$(soversion)
LIBFLAGS += -Wl,-soname,$(SONAME)
else
NAME = libmlt++$(LIBSUF)
TARGET = libmlt++.$(version)$(LIBSUF)
SONAME = libmlt++.$(soversion)$(LIBSUF)
LIBFLAGS += -install_name $(libdir)/$(SONAME) -current_version $(version) -compatibility_version $(soversion)
endif

CXXFLAGS += -I.. $(RDYNAMIC) -DVERSION=\"$(version)\"

LDFLAGS += -L../framework -lmlt

OBJS = MltConsumer.o \
	   MltDeque.o \
	   MltEvent.o \
	   MltFactory.o \
	   MltField.o \
	   MltFilter.o \
	   MltFilteredConsumer.o \
	   MltFrame.o \
	   MltGeometry.o \
	   MltMultitrack.o \
	   MltParser.o \
	   MltPlaylist.o \
	   MltProducer.o \
	   MltProfile.o \
	   MltProperties.o \
	   MltPushConsumer.o \
	   MltRepository.o \
	   MltService.o \
	   MltTokeniser.o \
	   MltTractor.o \
	   MltTransition.o

SRCS = $(OBJS:.o=.cpp)
HEADERS = config.h Mlt.h $(OBJS:.o=.h)

all:		$(TARGET)

$(TARGET):	$(OBJS)
	$(CXX) $(LIBFLAGS) -o $@ $(OBJS) $(LDFLAGS)
	ln -sf $(TARGET) $(NAME)
	ln -sf $(TARGET) $(SONAME)

depend:	$(SRCS)
	$(CXX) -MM $(CXXFLAGS) $^ 1>.depend

clean:
	$(RM) $(OBJS) $(TARGET) $(NAME) $(SONAME)

distclean:	clean

install:
	$(INSTALL) -d "$(DESTDIR)$(libdir)"
	$(INSTALL) -m 755 $(TARGET) $(DESTDIR)$(libdir)
	ln -sf $(TARGET) $(DESTDIR)$(libdir)/$(NAME)
	ln -sf $(TARGET) $(DESTDIR)$(libdir)/$(SONAME)
	$(INSTALL) -d "$(DESTDIR)$(prefix)/include/mlt++"
	$(INSTALL) -m 644 $(HEADERS) "$(DESTDIR)$(prefix)/include/mlt++"

uninstall:
	rm -f "$(DESTDIR)$(libdir)/$(TARGET)"
	rm -f "$(DESTDIR)$(libdir)/$(NAME)"
	rm -f "$(DESTDIR)$(libdir)/$(SONAME)"
	rm -rf "$(DESTDIR)$(prefix)/include/mlt++"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/swig/Makefile ===
include ../../config.mak
include config.mak

all clean depend install:
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		if [ -x $$subdir/build -a ! -f .$$subdir -o $@ = clean ] ; \
		then echo -n Building $$subdir... ; \
			cd $$subdir && output=`./build $@ 2>&1` ; \
			if [ $$? -eq 0 ] ; \
			then echo OK && touch ../.$$subdir ; \
			else echo $$output && exit 1 ; \
			fi ; \
			cd .. ; \
			if [ -f $$subdir/Makefile -a -f .$$subdir ] ; \
			then $(MAKE) -C $$subdir $@ || exit 1 ; \
			fi ; \
			if [ $@ = clean ] ; \
			then rm -f .$$subdir ; \
			fi ; \
		fi \
	done

=== src/modules/avformat/Makefile ===
include ../../../config.mak

CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lpthread

include config.mak

LDFLAGS += -lavformat$(AVFORMAT_SUFFIX)
LDFLAGS += -lavcodec$(AVFORMAT_SUFFIX)
LDFLAGS += -lavutil$(AVFORMAT_SUFFIX)
LDFLAGS += -lavdevice$(AVFORMAT_SUFFIX) $(EXTRA_LIBS)

ifndef CODECS
TARGET = ../libmltffmpeg$(LIBSUF)
else
TARGET = ../libmltavformat$(LIBSUF)
endif

OBJS = factory.o

ifdef FILTERS
OBJS += filter_avcolour_space.o \
	    filter_avresample.o \
	    filter_avdeinterlace.o
ifdef SWSCALE
OBJS += filter_swscale.o
endif
CFLAGS += -DFILTERS
endif

ifdef CODECS
OBJS += producer_avformat.o \
	    consumer_avformat.o
CFLAGS += -DCODECS
endif

ifdef SWSCALE
CFLAGS += -DSWSCALE
LDFLAGS += -lswscale$(AVFORMAT_SUFFIX)
endif

ifdef LOCAL_FFMPEG
LOCAL_FFMPEG_OBJS = ffmpeg/libavformat/libavformat$(AVFORMAT_SUFFIX) \
                    ffmpeg/libavcodec/libavcodec$(AVFORMAT_SUFFIX) \
                    ffmpeg/libavutil/libavutil$(AVFORMAT_SUFFIX) \
                    ffmpeg/libavutil/libavdevice$(AVFORMAT_SUFFIX)
endif

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(LOCAL_FFMPEG_OBJS):
	if [ $(LOCAL_FFMPEG) ] ; then \
		$(MAKE) -C ffmpeg ffmpeg ; \
	fi

$(TARGET): $(OBJS) $(LOCAL_FFMPEG_OBJS)
	$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
	if [ $(LOCAL_FFMPEG) ] ; then $(MAKE) -C ffmpeg dep ; fi
	$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
	if [ $(LOCAL_FFMPEG) ] ; then $(MAKE) -C ffmpeg distclean ; fi
	rm -f .depend

clean:	
	#if [ $(LOCAL_FFMPEG) ] ; then $(MAKE) -C ffmpeg clean ; fi
	rm -f $(OBJS) ../libmltffmpeg$(LIBSUF) ../libmltavformat$(LIBSUF)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(datadir)/mlt/avformat"
	install -m 644 producer_avformat.yml "$(DESTDIR)$(datadir)/mlt/avformat"

uninstall:
	rm "$(DESTDIR)$(libdir)/mlt/libmltavformat$(LIBSUF)" 2> /dev/null || true
	rm "$(DESTDIR)$(libdir)/mlt/libmltffmpeg$(LIBSUF)" 2> /dev/null || true
	rm -rf "$(DESTDIR)$(datadir)/mlt/avformat"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/core/Makefile ===
include ../../../config.mak

TARGET = ../libmltcore$(LIBSUF)

OBJS = factory.o \
	   producer_colour.o \
	   producer_consumer.o \
	   producer_hold.o \
	   producer_loader.o \
	   producer_noise.o \
	   producer_ppm.o \
	   filter_brightness.o \
	   filter_channelcopy.o \
	   filter_crop.o \
	   filter_data_feed.o \
	   filter_data_show.o \
	   filter_gamma.o \
	   filter_greyscale.o \
	   filter_luma.o \
	   filter_mirror.o \
	   filter_mono.o \
	   filter_obscure.o \
	   filter_region.o \
	   filter_rescale.o \
	   filter_resize.o \
	   filter_transition.o \
	   filter_watermark.o \
	   transition_composite.o \
	   transition_luma.o \
	   transition_mix.o \
	   transition_region.o \
	   consumer_null.o

ASM_OBJS = 

CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lm -lpthread

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS) $(ASM_OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(ASM_OBJS) $(LDFLAGS)

composite_line_yuv_mmx.o: composite_line_yuv_mmx.S
	$(CC) -o $@ -c composite_line_yuv_mmx.S

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(ASM_OBJS) $(TARGET) 

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(prefix)/share/mlt/core"
	install -m 644 data_fx.properties "$(DESTDIR)$(datadir)/mlt/core"
	install -m 644 loader.dict "$(DESTDIR)$(datadir)/mlt/core"
	install -m 644 loader.ini "$(DESTDIR)$(datadir)/mlt/core"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/dgraft/Makefile ===
include ../../../config.mak

TARGET = ../libmltdgraft$(LIBSUF)

OBJS = factory.o \
	   filter_telecide.o

CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/dv/Makefile ===
include ../../../config.mak

TARGET = ../libmltdv$(LIBSUF)

OBJS = factory.o \
	   producer_libdv.o \
	   consumer_libdv.o

CFLAGS += -I../..
CFLAGS += `pkg-config --cflags libdv`

LDFLAGS += -L../../framework -lmlt -lpthread
LDFLAGS += `pkg-config --libs libdv`

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/effectv/Makefile ===
include ../../../config.mak

TARGET = ../libmlteffectv$(LIBSUF)

OBJS = factory.o \
	   filter_burn.o \
	   image.o \
	   utils.o

CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lm

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET) 

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/frei0r/Makefile ===
include ../../../config.mak

TARGET = ../libmltfrei0r$(LIBSUF)

OBJS = factory.o \
	   producer_frei0r.o \
	   filter_frei0r.o \
	   transition_frei0r.o \
	   frei0r_helper.o

CFLAGS += -I../..
CFLAGS += `pkg-config --cflags frei0r`

LDFLAGS += -L../../framework -lmlt
LDFLAGS += -lm $(LIBDL)
LDFLAGS += `pkg-config --libs frei0r`

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(prefix)/share/mlt/frei0r"
	install -m 644 blacklist.txt "$(DESTDIR)$(datadir)/mlt/frei0r"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/gtk2/Makefile ===
include ../../../config.mak
include config.mak

TARGET = ../libmltgtk2$(LIBSUF)

OBJS = factory.o

CFLAGS += -I../..
LDFLAGS += -L../../framework -lmlt -lpthread -lm

ifdef USE_GTK2
OBJS += consumer_gtk2.o
CFLAGS += `pkg-config gtk+-2.0 --cflags`
LDFLAGS += `pkg-config gtk+-2.0 --libs`
endif

ifdef USE_PIXBUF
OBJS += producer_pixbuf.o pixops.o filter_rescale.o
CFLAGS += `pkg-config gdk-pixbuf-2.0 --cflags`
LDFLAGS += `pkg-config gdk-pixbuf-2.0 --libs`
endif

ifdef MMX_FLAGS
ifndef ARCH_X86_64
ASM_OBJS = have_mmx.o scale_line_22_yuv_mmx.o
endif
endif

ifdef USE_PANGO
OBJS += producer_pango.o
CFLAGS += `pkg-config pangoft2 --cflags`
LDFLAGS += `pkg-config pangoft2 --libs`
ifeq ($(targetos),FreeBSD)
LDFLAGS += -liconv
endif
endif

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS) $(ASM_OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(ASM_OBJS) $(LDFLAGS)

have_mmx.o:
	$(CC) -o $@ -c have_mmx.S

scale_line_22_yuv_mmx.o: scale_line_22_yuv_mmx.S
	$(CC) -o $@ -c scale_line_22_yuv_mmx.S

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(ASM_OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/jackrack/Makefile ===
include ../../../config.mak

TARGET = ../libmltjackrack$(LIBSUF)

OBJS = factory.o \
	   jack_rack.o \
	   lock_free_fifo.o \
	   plugin.o \
	   plugin_desc.o \
	   plugin_mgr.o \
	   plugin_settings.o \
	   process.o \
	   filter_jackrack.o \
	   filter_ladspa.o

CFLAGS += -I../..
CFLAGS += `pkg-config --cflags jack`
CFLAGS += `pkg-config --cflags libxml-2.0`
CFLAGS += `pkg-config --cflags glib-2.0`

LDFLAGS += -L../../framework -lmlt -lpthread -lm $(LIBDL)
LDFLAGS += `pkg-config --libs jack`
LDFLAGS += `pkg-config --libs libxml-2.0`
LDFLAGS += `pkg-config --libs glib-2.0`

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"

ifneq ($(wildcard .depend),)
include .depend
endif

## mlt 0.5.4

=== debian/changelog ===
mlt (0.5.4-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 20 Apr 2010 19:50:04 +0200

mlt (0.5.2-1) unstable; urgency=low

  * New upstream release.
    - Remove merged 01-deinterlace-no-mmx-sse.diff patch.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 11 Mar 2010 18:38:14 +0100

mlt (0.5.0-3) unstable; urgency=low

  * Replace last patch with 01-deinterlace-no-mmx-sse.diff from upstream.
    Closes: #570145

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 17 Feb 2010 18:47:35 +0100

mlt (0.5.0-2) unstable; urgency=low

  * Fix FTBFS on all non-x86 architectures, because there was a hardcoded
    -DARCH_X86 CFLAG. Removed it in 01-dont_hardcode_x86.diff.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 16 Feb 2010 18:05:34 +0100

mlt (0.5.0-1) unstable; urgency=low

  * New upstream release.
    - Only enable the new sse2 feature on amd64 hosts.
  * Add patch from Benjamin Drung to determine the Python version on build
    time. Much thanks.
    Closes: #569640

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 16 Feb 2010 14:14:39 +0100

mlt (0.4.10-5) unstable; urgency=high

  * Bump Standards-Version to 3.8.4 (no changes needed).
  * Readd python-mlt2.install, it was still in trunk but was lost in the
    0.4.10-4 tag.. Bumping urgency to high.
    Closes: #568736
  * Drop debian/README.source.
  * Do not install mlt_wrap.so from the python bindings, it will produce
    errors.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 09 Feb 2010 21:50:13 +0100

mlt (0.4.10-4) unstable; urgency=low

  * Add python-support support and thus byte-compile the Python files.
    Much thanks for the patch to Evengi Golov.
    Closes: #566043

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 23 Jan 2010 14:41:20 +0100

mlt (0.4.10-3) unstable; urgency=low

  * Add new python-mlt2 package, which contains the python bindings of mlt.
    Closes: #563240

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 02 Jan 2010 23:08:25 +0100

mlt (0.4.10-2) unstable; urgency=low

  * Build with new gcc 4.4.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 12 Dec 2009 15:07:25 +0100

mlt (0.4.10-1) unstable; urgency=low

  * New upstream release.
    - Fixes FTBFS because of missing linking with libm.
      Closes: #560119

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 09 Dec 2009 08:59:26 +0100

mlt (0.4.8-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 08 Dec 2009 10:53:38 +0100

mlt (0.4.6+git20091124-1) unstable; urgency=low

  * New upstream git snapshot.
  * Recommend on the source:Version of libmlt-data.
  * Convert package to the 3.0 (quilt) format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 24 Nov 2009 19:08:47 +0100

mlt (0.4.6-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 07 Oct 2009 19:36:14 +0200

mlt (0.4.4+git20091004-1) unstable; urgency=low

  * New upstream git snapshot.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 04 Oct 2009 10:19:43 +0200

mlt (0.4.4+git20090930-2) unstable; urgency=low

  * Add missing conflicts and replaces for smooth upgrades.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 01 Oct 2009 08:14:07 +0200

mlt (0.4.4+git20090930-1) unstable; urgency=low

  * New upstream git snapshot.
    - Drop all patches, they have been merged.
    - Drop quilt.
  * Bump SONAMES. Rename libmlt1 to libmlt2 and libmlt++2 to libmlt++3.
  * Drop inigo package.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 30 Sep 2009 19:20:22 +0200

mlt (0.4.4-3) unstable; urgency=low

  * Add libmlt-dbg package, which contains the debugging symbols of libmlt1 and
    libmlt++2.
  * Bump Standards-Version to 3.8.3.
    - Add debian/README.source.
  * Add patch description to 02_fix_sox_14.3.0_build.diff. Thanks lintian.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 21 Sep 2009 12:14:36 +0200

mlt (0.4.4-2) unstable; urgency=low

  * Add patches:
    - 01_improve_mlt_normalisation - stolen upstream.
    - 02_fix_sox_14.3.0_build - Fix build against sox 14.3.0. (Closes: #536671)

 -- Fathi Boudra <fabo@debian.org>  Mon, 13 Jul 2009 14:07:01 +0200

mlt (0.4.4-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 01 Jul 2009 21:33:59 +0200

mlt (0.4.2+git20090622-1) unstable; urgency=low

  * New git snapshot.
    - Drop merged patches 01_fix_man_whatis and 02_missing_math_ftbfs.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 22 Jun 2009 22:49:41 +0200

mlt (0.4.2+git20090618-2) unstable; urgency=low

  * Add 02_missing_math_ftbfs.diff patch, which fixes a FTBFS on some arches.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 18 Jun 2009 13:06:18 +0200

mlt (0.4.2+git20090618-1) unstable; urgency=low

  * New git snapshot.
    - Drop merged 07_custom_ldflags.diff patch.
    - Drop merged 09_add_gcc4.3_support.diff patch.
    - Drop merged 01_remove_ldconfig.diff patch.
    - Drop merged 02_update_have_mmx.diff patch.
  * Add libmlt-data as dependency for melt, it can not play movies without the
    profiles.
  * Bump Standards-Version to 3.8.2 (no changes needed).
  * Drop our melt manpage and install the new one from upstream.
    - Add 01_fix_man_whatis.diff which fixes the whatis entry.
  * Drop versioned build dependency on ffmpeg.
  * Extend a little bit the long-description of melt. Fixes lintian warning
    extended-description-is-probably-too-short.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 18 Jun 2009 09:41:39 +0200

mlt (0.4.2-2) unstable; urgency=low

  * Add frei0r-plugins-dev as build-dependency, so that the frei0r plugin can
    be built.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 11 Jun 2009 16:35:02 +0200

mlt (0.4.2-1) unstable; urgency=low

  * New upstream release.
    - inigo has been renamed to melt.
    - build and install mlt++ in mlt, they are not a separate source package
      anymore.


## mlt 0.5.6+git20100727

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 		  src/mlt++ \
 		  src/melt \
 		  src/modules \
+		  src/swig \
 		  profiles
 
 all clean:

=== src/examples/Makefile ===
CXXFLAGS += -Wall -g `pkg-config mlt-framework --cflags` -I ../mlt++
LDFLAGS += -L../mlt++ -lmlt++ `pkg-config mlt-framework --libs`
CC=c++

all:		play

play:		play.o

play.o:		play.cpp

clean:
	$(RM) play play.o

distclean: clean

install:

uninstall:

=== src/framework/Makefile ===
--- 
+++ 
@@ -69,7 +69,7 @@
 
 CFLAGS += $(RDYNAMIC) -DPREFIX="\"$(prefix)\"" -DLIBDIR="\"$(libdir)\""
 
-LDFLAGS += -lm $(LIBDL) -lpthread
+LDFLAGS += $(LIBDL) -lpthread
 
 all:	$(TARGET)

=== src/tests/Makefile ===
include ../../config.mak

TARGET = dan charlie pango pixbuf dissolve luma

CFLAGS += -I.. $(RDYNAMIC)

LDFLAGS += -L../modules
LDFLAGS += -L../framework -lmlt

all: $(TARGET)

hello:		hello.o
			$(CC) hello.o -o $@ -L../framework -L../modules -lmlt

pango:		pango.o
			$(CC) pango.o -o $@ $(LDFLAGS)

pixbuf:		pixbuf.o
			$(CC) pixbuf.o -o $@ $(LDFLAGS)

dissolve:		dissolve.o
			$(CC) dissolve.o -o $@ $(LDFLAGS)

luma:		luma.o
			$(CC) luma.o -o $@ $(LDFLAGS)

dan:		dan.o 
			$(CC) dan.o -o $@ $(LDFLAGS)

charlie:	charlie.o io.o
			$(CC) charlie.o io.o -o $@ $(LDFLAGS)

clean:
			rm -f dan.o io.o charlie.o dan charlie

depend:		dan.c charlie.c io.c
			$(CC) -MM $(CFLAGS) $^ 1>.depend

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/core/Makefile ===
--- 
+++ 
@@ -1,3 +1,7 @@
+CFLAGS += -I../..
+
+LDFLAGS += -L../../framework -lmlt -lm -lpthread
+
 include ../../../config.mak
 
 TARGET = ../libmltcore$(LIBSUF)
@@ -9,6 +13,7 @@
 	   producer_loader.o \
 	   producer_noise.o \
 	   producer_ppm.o \
+	   filter_audioconvert.o \
 	   filter_brightness.o \
 	   filter_channelcopy.o \
 	   filter_crop.o \
@@ -16,6 +21,7 @@
 	   filter_data_show.o \
 	   filter_gamma.o \
 	   filter_greyscale.o \
+	   filter_imageconvert.o \
 	   filter_luma.o \
 	   filter_mirror.o \
 	   filter_mono.o \
@@ -32,10 +38,6 @@
 	   consumer_null.o
 
 ASM_OBJS = 
-
-CFLAGS += -I../..
-
-LDFLAGS += -L../../framework -lmlt -lm -lpthread
 
 SRCS := $(OBJS:.o=.c)

=== src/modules/frei0r/Makefile ===
--- 
+++ 
@@ -1,3 +1,7 @@
+CFLAGS += -I../..
+
+LDFLAGS += -L../../framework -lmlt
+
 include ../../../config.mak
 
 TARGET = ../libmltfrei0r$(LIBSUF)
@@ -8,12 +12,10 @@
 	   transition_frei0r.o \
 	   frei0r_helper.o
 
-CFLAGS += -I../..
-CFLAGS += `pkg-config --cflags frei0r`
+CFLAGS += `pkg-config --cflags frei0r 2> /dev/null`
 
-LDFLAGS += -L../../framework -lmlt
 LDFLAGS += -lm $(LIBDL)
-LDFLAGS += `pkg-config --libs frei0r`
+LDFLAGS += `pkg-config --libs frei0r 2> /dev/null`
 
 SRCS := $(OBJS:.o=.c)

=== src/modules/gtk2/Makefile ===
--- 
+++ 
@@ -1,12 +1,13 @@
+CFLAGS += -I../..
+
+LDFLAGS += -L../../framework -lmlt -lpthread -lm
+
 include ../../../config.mak
 include config.mak
 
 TARGET = ../libmltgtk2$(LIBSUF)
 
 OBJS = factory.o
-
-CFLAGS += -I../..
-LDFLAGS += -L../../framework -lmlt -lpthread -lm
 
 ifdef USE_GTK2
 OBJS += consumer_gtk2.o

=== src/modules/jackrack/Makefile ===
--- 
+++ 
@@ -1,3 +1,7 @@
+CFLAGS += -I../..
+
+LDFLAGS += -L../../framework -lmlt -lpthread -lm
+
 include ../../../config.mak
 
 TARGET = ../libmltjackrack$(LIBSUF)
@@ -13,12 +17,11 @@
 	   filter_jackrack.o \
 	   filter_ladspa.o
 
-CFLAGS += -I../..
 CFLAGS += `pkg-config --cflags jack`
 CFLAGS += `pkg-config --cflags libxml-2.0`
 CFLAGS += `pkg-config --cflags glib-2.0`
 
-LDFLAGS += -L../../framework -lmlt -lpthread -lm $(LIBDL)
+LDFLAGS += $(LIBDL)
 LDFLAGS += `pkg-config --libs jack`
 LDFLAGS += `pkg-config --libs libxml-2.0`
 LDFLAGS += `pkg-config --libs glib-2.0`

=== src/modules/melt/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt

include ../../../config.mak

TARGET = ../libmltmelt$(LIBSUF)

OBJS = factory.o \
	   producer_melt.o 

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET) 

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/qimage/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lpthread -lm

include ../../../config.mak
include config.mak

TARGET = ../libmltqimage$(LIBSUF)

OBJS = factory.o producer_qimage.o producer_kdenlivetitle.o
CPPOBJS = qimage_wrapper.o kdenlivetitle_wrapper.o

CXXFLAGS += $(CFLAGS) $(QTCXXFLAGS) -Wno-deprecated

LDFLAGS += $(QTLIBS)
LDFLAGS += -lstdc++

ifdef USE_KDE
LDFLAGS += -lkio
endif

SRCS := $(OBJS:.o=.c) $(CPPOBJS:.o=.cpp)

all: 	$(TARGET)

$(TARGET): $(OBJS) $(CPPOBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(CPPOBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $(QTCXXFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend config.h config.mak

clean:	
		rm -f $(OBJS) $(TARGET) $(CPPOBJS)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/sdl/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lpthread -lm

include ../../../config.mak

include config.mak

TARGET = ../libmltsdl$(LIBSUF)

OBJS = factory.o \
	   consumer_sdl.o \
	   consumer_sdl_audio.o \
	   consumer_sdl_preview.o \
	   consumer_sdl_still.o 

ifeq ($(targetos),Darwin)
CFLAGS += -ObjC
LDFLAGS += -lobjc -framework Foundation
else
LDFLAGS += -lX11
endif

CFLAGS += `sdl-config --cflags`

LDFLAGS += `sdl-config --libs`

ifeq ($(WITH_SDL_IMAGE),1)
OBJS += producer_sdl_image.o
CFLAGS += -DWITH_SDL_IMAGE
LDFLAGS += -lSDL_image
endif

SRCS := $(OBJS:.o=.c)
ifeq ($(targetos),Darwin)
OBJS += consumer_sdl_osx.o
SRCS += consumer_sdl_osx.m consumer_sdl_osx.h
endif

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/sox/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lm

include ../../../config.mak

include config.mak

TARGET = ../libmltsox$(LIBSUF)

OBJS = factory.o \
	   filter_sox.o 

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"

ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
mlt (0.5.6+git20100727-1) unstable; urgency=low

  * New upstream git snapshot from 27.07.2010.
    - This snapshot fixes some memory leaks and corruptions and an infinite
      loop.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 18 Aug 2010 20:55:50 +0200

mlt (0.5.6-1) unstable; urgency=low

  * New upstream release.
    - Add patch 01-in_out-points-region-transition.diff, which fixes a new
      regression in this release with kdenlive.
  * Add the swig mlt.i file to the libmlt++-dev package.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 21 Jun 2010 13:55:07 +0200

mlt (0.5.4+git20100601-1) unstable; urgency=high

  * New git snapshot.
  * Build against the new sox library, bumping urgency to high, because of a
    blocking transition.
    Closes: #583953

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 01 Jun 2010 20:18:36 +0200

=== debian/control ===
Source: mlt
Priority: optional
Maintainer: Fathi Boudra <fabo@debian.org>
Uploaders: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 7.0.50), ffmpeg,
 kdelibs5-dev, ladspa-sdk, libavdevice-dev, libavformat-dev, libdv4-dev,
 libgtk2.0-dev, libjack-dev, libquicktime-dev, libsamplerate-dev,
 libsdl1.2-dev, libsox-dev (>= 14.3.0), libswscale-dev, libvorbis-dev,
 libxine-dev, libxml2-dev, imagemagick, frei0r-plugins-dev, swig,
 python-dev, python-support
Standards-Version: 3.8.4
Section: libs
Homepage: http://www.mltframework.org

Package: libmlt-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libmlt2 (= ${binary:Version})
Description: multimedia framework (development)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the static libraries and headers for developing
 applications that use the MLT multimedia framework.

Package: libmlt2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libmlt-data (>= ${source:Version})
Conflicts: libmlt0.2, libmlt0.2.5, libmlt1
Replaces: libmlt0.2, libmlt0.2.5, libmlt1
Description: multimedia framework (runtime)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the files necessary for running applications that
 use the MLT multimedia framework.

Package: libmlt-data
Architecture: all
Depends: ${misc:Depends}
Enhances: libmlt2
Description: multimedia framework (data)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the data files for the MLT multimedia framework.

Package: libmlt++-dev
Section: libdevel
Architecture: any
Depends: libmlt++3 (= ${binary:Version}), ${misc:Depends}
Description: MLT multimedia framework C++ wrapper (development)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the static libraries and headers for developing
 applications that use the MLT multimedia framework C++ wrapper.

Package: libmlt++3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmlt++0.2, libmlt++2
Replaces: libmlt++0.2, libmlt++2
Description: MLT multimedia framework C++ wrapper (runtime)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the files necessary for running applications that
 use the MLT multimedia framework C++ wrapper.

Package: libmlt-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmlt2 (= ${binary:Version}), libmlt++3 (= ${binary:Version})
Description: multimedia framework (debugging symbols)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the debugging symbols for libmlt++ and libmlt

Package: melt
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmlt-data (>= ${source:Version})
Description: command line media player and video editor
 melt was meant as a test tool for the MLT framework, but it is also a powerful
 multitrack command line oriented video editor. It could also used as an
 minimalistic media player for audio and video files.

Package: python-mlt2
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: multimedia framework (python bindings)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the Python bindings for the mlt package.

=== debian/rules ===
#!/usr/bin/make -f

# Enable motion estimation, MMX and SSE on amd64 architecture
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), "amd64"))
	EXTRA_CONFIGURE_OPTS += --enable-motion_est --enable-mmx --enable-sse
else
	EXTRA_CONFIGURE_OPTS += --disable-motion_est --disable-mmx --disable-sse --disable-sse2
endif

DEB_CONFIGURE_EXTRA_FLAGS := \
	--enable-gpl \
	$(EXTRA_CONFIGURE_OPTS) \
	--avformat-shared=/usr \
	--avformat-swscale \
	--luma-compress \
	--swig-languages=python \
	--qimage-libdir=/usr/lib

PYTHON_DIR := usr/lib/$(shell pyversions -d)/site-packages

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_auto_clean:
	[ ! -f config.mak ] || $(MAKE) distclean
	rm -f config.log *.pc src/modules/gtk2/config.h
	find \( -name '*.o' -o -name '*.mak' -o -name '.depend' \) -delete

override_dh_install:
	mkdir -p debian/python-mlt2/$(PYTHON_DIR)
	install -m 644 src/swig/python/mlt.py debian/python-mlt2/$(PYTHON_DIR)/mlt.py
	install -m 644 src/swig/python/_mlt.so debian/python-mlt2/$(PYTHON_DIR)/_mlt.so
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=libmlt-dbg

## mlt 0.6.0

=== profiles/Makefile ===
include ../config.mak

all:

depend:

distclean:

clean:

install:	all uninstall
	install -d "$(DESTDIR)$(datadir)/mlt/profiles"
	install -m 644 * "$(DESTDIR)$(datadir)/mlt/profiles"
	rm -f "$(DESTDIR)$(datadir)/mlt/profiles/"*~
	rm -f "$(DESTDIR)$(datadir)/mlt/profiles/Makefile"

uninstall:
	rm -rf "$(DESTDIR)$(datadir)/mlt/profiles"

=== src/framework/Makefile ===
--- 
+++ 
@@ -16,6 +16,7 @@
 endif
 
 OBJS = mlt_frame.o \
+	   mlt_version.o \
 	   mlt_geometry.o \
 	   mlt_deque.o \
 	   mlt_property.o \
@@ -40,6 +41,7 @@
 	   mlt_cache.o
 
 INCS = mlt_consumer.h \
+	   mlt_version.h \
 	   mlt_factory.h \
 	   mlt_filter.h \
 	   mlt.h \

=== src/melt/Makefile ===
include ../../config.mak
include config.mak

OBJS = melt.o \
	   io.o

CFLAGS += -I.. $(RDYNAMIC) -DVERSION=\"$(version)\"

LDFLAGS += -L../framework -lmlt -lpthread

SRCS := $(OBJS:.o=.c)

all: $(TARGET)

$(TARGET): $(OBJS)
		$(CC) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install:	all
	install -d "$(DESTDIR)$(bindir)"
	install -c -m 755 $(TARGET) "$(DESTDIR)$(bindir)"

uninstall:
	rm -f "$(DESTDIR)$(bindir)/$(TARGET)"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/swig/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 include ../../config.mak
 include config.mak
 
-all clean depend install:
+all clean:
 	list='$(SUBDIRS)'; \
 	for subdir in $$list; do \
 		if [ -x $$subdir/build -a ! -f .$$subdir -o $@ = clean ] ; \
@@ -20,3 +20,9 @@
 			fi ; \
 		fi \
 	done
+
+distclean: clean
+
+depend:
+
+install:

=== src/modules/core/Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
 	   producer_noise.o \
 	   producer_ppm.o \
 	   filter_audioconvert.o \
+	   filter_audiowave.o \
 	   filter_brightness.o \
 	   filter_channelcopy.o \
 	   filter_crop.o \
@@ -26,6 +27,7 @@
 	   filter_mirror.o \
 	   filter_mono.o \
 	   filter_obscure.o \
+	   filter_panner.o \
 	   filter_region.o \
 	   filter_rescale.o \
 	   filter_resize.o \

=== src/modules/dv/Makefile ===
--- 
+++ 
@@ -1,3 +1,7 @@
+CFLAGS += -I../..
+
+LDFLAGS += -L../../framework -lmlt -lpthread
+
 include ../../../config.mak
 
 TARGET = ../libmltdv$(LIBSUF)
@@ -6,10 +10,8 @@
 	   producer_libdv.o \
 	   consumer_libdv.o
 
-CFLAGS += -I../..
 CFLAGS += `pkg-config --cflags libdv`
 
-LDFLAGS += -L../../framework -lmlt -lpthread
 LDFLAGS += `pkg-config --libs libdv`
 
 SRCS := $(OBJS:.o=.c)

=== src/modules/effectv/Makefile ===
--- 
+++ 
@@ -1,3 +1,7 @@
+CFLAGS += -I../..
+
+LDFLAGS += -L../../framework -lmlt -lm
+
 include ../../../config.mak
 
 TARGET = ../libmlteffectv$(LIBSUF)
@@ -6,10 +10,6 @@
 	   filter_burn.o \
 	   image.o \
 	   utils.o
-
-CFLAGS += -I../..
-
-LDFLAGS += -L../../framework -lmlt -lm
 
 SRCS := $(OBJS:.o=.c)

=== src/modules/gtk2/Makefile ===
--- 
+++ 
@@ -19,6 +19,11 @@
 OBJS += producer_pixbuf.o pixops.o filter_rescale.o
 CFLAGS += `pkg-config gdk-pixbuf-2.0 --cflags`
 LDFLAGS += `pkg-config gdk-pixbuf-2.0 --libs`
+endif
+
+ifdef USE_EXIF
+CFLAGS += $(EXIFCXXFLAGS) 
+LDFLAGS += $(EXIFLIBS)
 endif
 
 ifdef MMX_FLAGS

=== src/modules/kdenlive/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt

include ../../../config.mak

TARGET = ../libmltkdenlive$(LIBSUF)

OBJS = factory.o \
	   filter_boxblur.o \
	   filter_freeze.o \
	   filter_wave.o \
	   producer_framebuffer.o


LDFLAGS += -lm

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/kino/Makefile ===
CFLAGS += -I../../
CXXFLAGS += $(CFLAGS) -Wno-deprecated

LDFLAGS += -L../../framework -lmlt -lpthread

include ../../../config.mak
include config.mak

TARGET = ../libmltkino.so

OBJS = factory.o producer_kino.o
CPPOBJS = kino_wrapper.o avi.o error.o filehandler.o riff.o

LDFLAGS += -lstdc++

ifdef HAVE_LIBQUICKTIME
CFLAGS += `pkg-config --cflags libquicktime` 
CXXFLAGS += `pkg-config --cflags libquicktime` 
LDFLAGS += `pkg-config --libs libquicktime`
endif

ifdef HAVE_LIBDV
CFLAGS += `pkg-config --cflags libdv`
LDFLAGS += `pkg-config --libs libdv`
endif


SRCS := $(OBJS:.o=.c) $(CPPOBJS:.o=.cc)

all: 	$(TARGET)

$(TARGET): $(OBJS) $(CPPOBJS)
		$(CC) -shared -o $@ $(OBJS) $(CPPOBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend config.h config.mak

clean:	
		rm -f $(OBJS) $(TARGET) $(CPPOBJS)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/lumas/Makefile ===
include ../../../config.mak
LDFLAGS=

all:	luma create_lumas
	@./create_lumas 

luma:	luma.c

create_lumas:

depend:

distclean:
	rm -rf PAL NTSC luma 

clean:
	rm -f luma 

install:	all
	install -d $(DESTDIR)$(datadir)/mlt/lumas/PAL
	install -d $(DESTDIR)$(datadir)/mlt/lumas/NTSC
	install -m 644 PAL/* $(DESTDIR)$(datadir)/mlt/lumas/PAL
	install -m 644 NTSC/* $(DESTDIR)$(datadir)/mlt/lumas/NTSC

=== src/modules/motion_est/Makefile ===
CFLAGS += -I../.. 

LDFLAGS += -L../../framework -lmlt -lm

include ../../../config.mak

TARGET = ../libmltmotion_est.so

OBJS = factory.o \
	   filter_motion_est.o \
	   filter_crop_detect.o \
	   filter_autotrack_rectangle.o \
	   arrow_code.o \
	   filter_vismv.o \
	   producer_slowmotion.o

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"

test: $(TARGET)
	~/mlt-devel/mlt/src/melt/melt -filter motion_est -filter vismv -filter benchmark -consumer sdl rescale=none real_time=0 audio_off=1 silent=1 /media/cdrecorder/BBC.The.Private.Life.Of.Plants.Pt5.Living.Together.DivX505.AC3.www.MVGroup.org.uk.avi in=50000

hist: $(TARGET)
	~/mlt-devel/mlt/src/melt/melt -filter motion_est -filter histogram -consumer sdl rescale=none real_time=0 audio_off=1 silent=1 /media/cdrecorder/BBC.The.Private.Life.Of.Plants.Pt5.Living.Together.DivX505.AC3.www.MVGroup.org.uk.avi in=40000


test2: $(TARGET)
	melt colour:black -filter watermark:"+mello.txt" composite.geometry="0,0:10%x10%;99=90%,90%" composite.out=99 -filter crop_detect -filter motion_est -filter vismv

realtime: $(TARGET)
	~/mlt-devel/mlt/src/melt/melt -filter motion_est -filter vismv -consumer sdl rescale=none /media/cdrecorder/BBC.The.Private.Life.Of.Plants.Pt5.Living.Together.DivX505.AC3.www.MVGroup.org.uk.avi in=30000

testhist: $(TARGET)
	~/mlt-devel/mlt/src/melt/melt -consumer sdl rescale=none silent=1 -filter motion_est -filter histogram  -filter vismv /media/cdrecorder/BBC.The.Private.Life.Of.Plants.Pt5.Living.Together.DivX505.AC3.www.MVGroup.org.uk.avi in=10000


ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
mlt (0.6.0-1) experimental; urgency=low

  * New upstream release.
  * Bump SONAME of libmlt from 2 to 3.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 02 Jan 2011 12:39:23 +0100

mlt (0.5.10-1) experimental; urgency=low

  * New upstream release.
    - Remove deprecated patch 01-in_out-points-region-transition.diff.
  * Bump Standards-Version to 3.9.1 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 18 Sep 2010 10:37:22 +0200

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
  libsdl1.2-dev, libsox-dev (>= 14.3.0), libswscale-dev, libvorbis-dev,
  libxine-dev, libxml2-dev, imagemagick, frei0r-plugins-dev, swig,
  python-dev, python-support
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Section: libs
 Homepage: http://www.mltframework.org
 
 Package: libmlt-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libmlt2 (= ${binary:Version})
+Depends: ${misc:Depends}, libmlt3 (= ${binary:Version})
 Description: multimedia framework (development)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -27,12 +27,12 @@
  This package contains the static libraries and headers for developing
  applications that use the MLT multimedia framework.
 
-Package: libmlt2
+Package: libmlt3
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: libmlt-data (>= ${source:Version})
-Conflicts: libmlt0.2, libmlt0.2.5, libmlt1
-Replaces: libmlt0.2, libmlt0.2.5, libmlt1
+Conflicts: libmlt0.2, libmlt0.2.5, libmlt1, libmlt2
+Replaces: libmlt0.2, libmlt0.2.5, libmlt1, libmlt2
 Description: multimedia framework (runtime)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -47,7 +47,7 @@
 Package: libmlt-data
 Architecture: all
 Depends: ${misc:Depends}
-Enhances: libmlt2
+Enhances: libmlt3
 Description: multimedia framework (data)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -93,7 +93,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libmlt2 (= ${binary:Version}), libmlt++3 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libmlt3 (= ${binary:Version}), libmlt++3 (= ${binary:Version})
 Description: multimedia framework (debugging symbols)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -113,11 +113,13 @@
  multitrack command line oriented video editor. It could also used as an
  minimalistic media player for audio and video files.
 
-Package: python-mlt2
+Package: python-mlt3
 Architecture: any
 Section: python
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Provides: ${python:Provides}
+Conflicts: python-mlt2
+Replaces: python-mlt2
 Description: multimedia framework (python bindings)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video

=== debian/rules ===
--- 
+++ 
@@ -30,9 +30,9 @@
 	find \( -name '*.o' -o -name '*.mak' -o -name '.depend' \) -delete
 
 override_dh_install:
-	mkdir -p debian/python-mlt2/$(PYTHON_DIR)
-	install -m 644 src/swig/python/mlt.py debian/python-mlt2/$(PYTHON_DIR)/mlt.py
-	install -m 644 src/swig/python/_mlt.so debian/python-mlt2/$(PYTHON_DIR)/_mlt.so
+	mkdir -p debian/python-mlt3/$(PYTHON_DIR)
+	install -m 644 src/swig/python/mlt.py debian/python-mlt3/$(PYTHON_DIR)/mlt.py
+	install -m 644 src/swig/python/_mlt.so debian/python-mlt3/$(PYTHON_DIR)/_mlt.so
 	dh_install --list-missing
 
 override_dh_strip:
